autofs-5.1.7 - remove unused parameter form do_mount_autofs_offset()

From: Ian Kent <raven@themaw.net>

The offset parameter of do_mount_autofs_offset() isn't used.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG    |    1 +
 lib/mounts.c |   10 ++++------
 2 files changed, 5 insertions(+), 6 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index 45be4783..3eda995c 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -10,6 +10,7 @@
 - simplify cache_get_parent().
 - set offset parent in update_offset_entry().
 - remove redundant variables from mount_autofs_offset().
+- remove unused parameter form do_mount_autofs_offset().
 
 25/01/2021 autofs-5.1.7
 - make bind mounts propagation slave by default.
diff --git a/lib/mounts.c b/lib/mounts.c
index 12d22023..8e88182f 100644
--- a/lib/mounts.c
+++ b/lib/mounts.c
@@ -2472,9 +2472,7 @@ out:
 }
 
 static int do_mount_autofs_offset(struct autofs_point *ap,
-				  struct mapent *oe, const char *root,
-				  char *offset)
-
+				  struct mapent *oe, const char *root)
 {
 	int mounted = 0;
 	int ret;
@@ -2529,7 +2527,7 @@ int mount_multi_triggers(struct autofs_point *ap, struct mapent *me,
 		if (!oe || !oe->mapent)
 			goto cont;
 
-		mounted += do_mount_autofs_offset(ap, oe, root, offset);
+		mounted += do_mount_autofs_offset(ap, oe, root);
 
 		/*
 		 * If re-constructing a multi-mount it's necessary to walk
@@ -2666,7 +2664,7 @@ int umount_multi_triggers(struct autofs_point *ap, struct mapent *me, char *root
 			 */
 			ret = rmdir_path_offset(ap, oe);
 			if (ret == -1 && !stat(oe->key, &st)) {
-				ret = do_mount_autofs_offset(ap, oe, root, offset);
+				ret = do_mount_autofs_offset(ap, oe, root);
 				if (ret)
 					left++;
 				/* But we did origianlly create this */
@@ -2847,7 +2845,7 @@ int clean_stale_multi_triggers(struct autofs_point *ap,
 			 */
 			ret = rmdir_path_offset(ap, oe);
 			if (ret == -1 && !stat(oe->key, &st)) {
-				ret = do_mount_autofs_offset(ap, oe, root, offset);
+				ret = do_mount_autofs_offset(ap, oe, root);
 				if (ret) {
 					left++;
 					/* But we did origianlly create this */
